Loading...
Searching...
No Matches
Opm::MultisegmentWellSegments< FluidSystem, Indices > Class Template Reference

## Public Member Functions

| MultisegmentWellSegments (const int numSegments, const ParallelWellInfo< Scalar > &parallel_well_info, WellInterfaceGeneric< Scalar, IndexTraits > &well)
void | computeFluidProperties (const EvalWell &temperature, const EvalWell &saltConcentration, const PrimaryVariables &primary_variables, int pvt_region_index, DeferredLogger &deferred_logger)
void | updateUpwindingSegments (const PrimaryVariables &primary_variables)
| Update upwinding segments.
EvalWell | getHydroPressureLoss (const int seg, const int seg_side) const
Scalar | getPressureDiffSegLocalPerf (const int seg, const int local_perf_index) const
| Pressure difference between segment and perforation.
EvalWell | getSurfaceVolume (const EvalWell &temperature, const EvalWell &saltConcentration, const PrimaryVariables &primary_variables, const int pvt_region_index, const int seg_idx) const
EvalWell | getFrictionPressureLoss (const int seg, const bool extra_reverse_flow_derivatives=false) const
EvalWell | pressureDropSpiralICD (const int seg, const bool extra_reverse_flow_derivatives=false) const
EvalWell | pressureDropAutoICD (const int seg, const UnitSystem &unit_system, const bool extra_reverse_flow_derivatives=false) const
EvalWell | pressureDropValve (const int seg, const SummaryState &st, const bool extra_reverse_flow_derivatives=false) const
EvalWell | accelerationPressureLossContribution (const int seg, const Scalar area, const bool extra_reverse_flow_derivatives=false) const
const std::vector< std::vector< int > > & | inlets () const
const std::vector< int > & | inlets (const int seg) const
const std::vector< std::vector< int > > & | perforations () const
int | upwinding_segment (const int seg) const
Scalar | getRefDensity () const
const EvalWell & | density (const int seg) const
Scalar | local_perforation_depth_diff (const int local_perf_index) const
void | copyPhaseDensities (SegmentState< Scalar > &segSol) const

The documentation for this class was generated from the following files:

- opm/simulators/wells/MultisegmentWellSegments.hpp
- opm/simulators/wells/MultisegmentWellSegments.cpp